TAU_PROFILE_SNAPSHOT(3)

Name
TAU_PROFILE_SNAPSHOT - Creates a snapshot of the current apllication profile

Synopsis

C/C++:

TAU_PROFILE_SNAPSHOT(char* name);

Fortran:

TAU_PROFILE_SNAPSHOT(char* name, integer length);

Description

TAU_PROFILE_SNAPSHOT writes a snapshot profile representing the program's execution up to this point. These file are written the system as snapshot.[node].[context].[thread] format. They can be merged by appending one to another. Uploading a snapshot to a PerfDMF database or packing them into a PPK file will condense them to a single profile (the last one).

Examples

C/C++:

    TAU_PROFILE_SNAPSHOT(name);

Fortran:

    TAU_PROFILE_SNAPSHOT(name, length);

Python:

    import pytau;
    pytau.snapshot("name")

See Also

TAU_PROFILE_SNAPSHOT_1L(3)